org.apache.poi.hssf.record

## Class DrawingRecordForBiffViewer

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.AbstractEscherHolderRecord
      - - org.apache.poi.hssf.record.DrawingRecordForBiffViewer

- All Implemented Interfaces:
    Duplicatable

      public final class DrawingRecordForBiffViewer
      extends AbstractEscherHolderRecord

  This is purely for the biff viewer. During normal operations we don't want to be seeing this.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawingRecordForBiffViewer()`
    `DrawingRecordForBiffViewer(DrawingRecord r)`
    `DrawingRecordForBiffViewer(DrawingRecordForBiffViewer other)`
    `DrawingRecordForBiffViewer(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DrawingRecordForBiffViewer` | `copy()`
    `protected java.lang.String` | `getRecordName()`
    `short` | `getSid()` return the non static version of the id for this record.

    - ### Methods inherited from class org.apache.poi.hssf.record.AbstractEscherHolderRecord

      `addEscherRecord, addEscherRecord, clearEscherRecords, clone, convertRawBytesToEscherRecords, decode, findFirstWithId, getEscherContainer, getEscherRecord, getEscherRecords, getRawData, getRecordSize, join, processContinueRecord, serialize, setRawData, toString`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DrawingRecordForBiffViewer

          public DrawingRecordForBiffViewer()

    - #### DrawingRecordForBiffViewer

          public DrawingRecordForBiffViewer(DrawingRecordForBiffViewer other)

    - #### DrawingRecordForBiffViewer

          public DrawingRecordForBiffViewer(RecordInputStream in)

    - #### DrawingRecordForBiffViewer

          public DrawingRecordForBiffViewer(DrawingRecord r)

  - ### Method Detail

    - #### getRecordName

          protected java.lang.String getRecordName()

      Specified by:
        `getRecordName` in class `AbstractEscherHolderRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `AbstractEscherHolderRecord`
      Returns:
        he id for this record

    - #### copy

          public DrawingRecordForBiffViewer copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `AbstractEscherHolderRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.